[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# DisposeStr

Dispose of a shortstring which was allocated on the heap.

## Declaration

Source position: objects.pp line 626

`procedure DisposeStr(`
`P: PString`
`);`

## Description

DisposeStr removes a dynamically allocated string from the heap.

For an example, see NewStr.

## Errors

None.

## See also

NewStr |  | Allocate a copy of a shortstring on the heap.
SetStr |  | Allocate a copy of a shortstring on the heap.

Documentation generated on: Feb 26 2014